%define enable_sound	1
%define enable_debugger	1
%define enable_joystick	1
%define enable_cheats	1
%define enable_static	0

Name:		stella
Version:	5.0.2
Release:	%mkrel 1
Summary:	An Atari 2600 Video Computer System emulator
License:	GPLv2+
Group:		Emulators
URL:		http://stella.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.xz
Patch0:     stella-5.0.2-debuginfo.patch
#--------------------------------------
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}sdl2.0-devel
BuildRequires:	zlib1-devel
BuildRequires:	desktop-file-utils
#--------------------------------------

%description
The Atari 2600 Video Computer System (VCS), introduced in 1977, was the most
popular home video game system of the early 1980's.  This emulator will run
most Atari ROM images, so that you can play your favorite old Atari 2600 games
on your PC.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
%if %{enable_sound}
  --enable-sound \
%else
  --disable-sound \
%endif
%if %{enable_debugger}
  --enable-debugger \
%else
  --disable-debugger \
%endif
%if %{enable_joystick}
  --enable-joystick \
%else
  --disable-joystick \
%endif
%if %{enable_cheats}
  --enable-cheats \
%else
  --disable-cheats \
%endif
%if %{enable_static}
  --enable-static \
%else
  --enable-shared \
%endif
  --docdir=%{_docdir}/stella \

%make

%install
%make install-strip DESTDIR=%{buildroot}
rm -f %{buildroot}%{_docdir}/stella/{README-SDL.txt,License.txt}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
  --dir %{buildroot}%{_datadir}/applications/ \
  --set-key=StartupNotify --set-value=true \
  %{buildroot}%{_datadir}/applications/*

%files
%{_docdir}/stella/*
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Oct 02 2017 bb2 <bb2> - 5.0.2-1pclos2017
- new version

* Fri May 20 2016 bb <bb> - 4.7.2-1pclos2016
- update

* Sat Jan 02 2016 bb <bb> - 4.6.7-1pclos2016
- update

